> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.usebridge.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.usebridge.com/_mcp/server.

# Create ServiceEligibility

POST https://app.usebridge.com/api/service-eligibility/v2
Content-Type: application/json

Creates a ServiceEligibility, returns immediately in the `PENDING` status. 

Reference: https://docs.usebridge.com/api/api-reference/service-eligibility/v-2/create-service-eligibility

## Authentication

- `X-API-Key` header (required) — API Key authentication via header

## Servers

- `https://app.usebridge.com` (Production, default)
- `https://app.usebridge.xyz` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a ServiceEligibilityCreateV2Request.

- `serviceTypeId` (string, required)
- `dateOfService` (datetime, required) — Full ISO8601 timestamp, including timezone
- `state` (enum, required) — 2 letter US state code
  - Allowed values: `AL`, `AK`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DE`, `DC`, `FL`, `GA`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`
- `policyIds` (list of string, optional) — Optional for cash-pay ServiceTypes; omit or pass [] when no policy is available
- `clinicalInfo` (ServiceEligibilityCreateV2RequestClinicalInfo, optional)

## Response

### 200

- `id` (string, required)
- `organizationId` (string, required)
- `serviceTypeId` (string, required)
- `dateOfService` (datetime, required)
- `status` (enum, required)
  - Allowed values: `PENDING`, `UNINSURED`, `ELIGIBLE`, `INELIGIBLE`, `INEFFECTIVE`
- `providers` (list of ServiceEligibilityCreateV2ResponseProvider, required)
- `policyIds` (list of string, required)
- `state` (enum, required) — 2 letter US state code
  - Allowed values: `AL`, `AK`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DE`, `DC`, `FL`, `GA`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`
- `_token` (string, required) — Temporary access token to retrieve this ServiceEligibility
- `validatedAt` (datetime, optional) — Timestamp this was executed
- `patientResponsibility` (ServiceEligibilityCreateV2ResponsePatientResponsibility, optional) — Describes the Patient Responsibility. All dollar values are in USD cents ($15 = 1500). The 'total' is the amount that the patient owes. The breakdown are in non-oop fields. The oop fields apply when the patient has hit (or will hit) their OOP limits.
- `messages` (list of string, optional)
- `clinicalInfo` (ServiceEligibilityCreateV2ResponseClinicalInfo, optional)
- `conditionalPatientResponsibilities` (list of ServiceEligibilityCreateV2ResponseConditionalPatientResponsibility, optional)

## Types

### ServiceEligibilityCreateV2RequestClinicalInfo

- `diagnoses` (list of string, optional)

### ServiceEligibilityCreateV2ResponseProvider

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `MD`, `NP`, `DO`, `ND`, `AP`, `OT`, `LCSW`, `LMFT`, `LPC`, `PSYCH`, `RN`, `CN`, `CWC`, `CM`, `PA`, `RDN`, `PT`
- `npi` (string, required)
- `externalId` (string, optional)
- `providerEligibilityEnabled` (boolean, optional)
- `serviceEligibilityEnabled` (boolean, optional)

### ServiceEligibilityCreateV2ResponsePatientResponsibility

- `total` (integer, required) — The total amount owed by the Patient (sum of contributions and OOP-waived amounts), value is in USD cents ($15 = 1500)
- `fallback` (integer, required) — The fallback amount
- `deductible` (integer, required) — The deductible contribution
- `coinsurance` (integer, required) — The coinsurance contribution
- `coinsurancePercent` (double, required) — The coinsurance contribution as a percentage (15% = 0.15)
- `copayment` (integer, required) — The copayment contribution
- `oopFallback` (integer, required) — Amount of fallback waived due to OOP limits
- `oopCopayment` (integer, required) — Amount of copayment waived due to OOP limits
- `oopCoinsurance` (integer, required) — Amount of coinsurance waived due to OOP limits
- `oopDeductible` (integer, required) — Amount of deductible waived due to OOP limits
- `deductibleType` (enum, optional)
  - Allowed values: `INDIVIDUAL`, `FAMILY`

### ServiceEligibilityCreateV2ResponseClinicalInfo

- `diagnoses` (list of string, optional)

### ServiceEligibilityCreateV2ResponseConditionalPatientResponsibility

- `conditions` (list of ServiceEligibilityCreateV2ResponseConditionalPatientResponsibilitiesElementCondition, required)
- `limit` (ServiceEligibilityCreateV2ResponseConditionalPatientResponsibilitiesElementLimit, required)
- `patientResponsibility` (ServiceEligibilityCreateV2ResponseConditionalPatientResponsibilitiesElementPatientResponsibility, required) — Describes the Patient Responsibility. All dollar values are in USD cents ($15 = 1500). The 'total' is the amount that the patient owes. The breakdown are in non-oop fields. The oop fields apply when the patient has hit (or will hit) their OOP limits.

### ServiceEligibilityCreateV2ResponseConditionalPatientResponsibilitiesElementCondition

- `diagnoses` (list of string, optional)

### ServiceEligibilityCreateV2ResponseConditionalPatientResponsibilitiesElementLimit

- `type` (enum, required)
  - Allowed values: `UNKNOWN`, `UNLIMITED`, `LIMITED`
- `value` (integer, optional)
- `metric` (enum, optional)
  - Allowed values: `VISIT`, `UNITS`
- `period` (enum, optional)
  - Allowed values: `ANNUAL`, `BENEFIT_YEAR`, `LIFETIME`
- `units` (ServiceEligibilityCreateV2ResponseConditionalPatientResponsibilitiesElementLimitFieldUnits, optional)

### ServiceEligibilityCreateV2ResponseConditionalPatientResponsibilitiesElementPatientResponsibility

- `total` (integer, required) — The total amount owed by the Patient (sum of contributions and OOP-waived amounts), value is in USD cents ($15 = 1500)
- `fallback` (integer, required) — The fallback amount
- `deductible` (integer, required) — The deductible contribution
- `coinsurance` (integer, required) — The coinsurance contribution
- `coinsurancePercent` (double, required) — The coinsurance contribution as a percentage (15% = 0.15)
- `copayment` (integer, required) — The copayment contribution
- `oopFallback` (integer, required) — Amount of fallback waived due to OOP limits
- `oopCopayment` (integer, required) — Amount of copayment waived due to OOP limits
- `oopCoinsurance` (integer, required) — Amount of coinsurance waived due to OOP limits
- `oopDeductible` (integer, required) — Amount of deductible waived due to OOP limits
- `deductibleType` (enum, optional)
  - Allowed values: `INDIVIDUAL`, `FAMILY`

### ServiceEligibilityCreateV2ResponseConditionalPatientResponsibilitiesElementLimitFieldUnits

- `minutes` (integer, required) — Conversion rate from units to minutes
- `min` (integer, required) — Minimum number of units
- `max` (integer, required) — Maximum number of units

## Examples

**Request**

```json
{
  "serviceTypeId": "serviceTypeId",
  "dateOfService": "2024-01-15T09:30:00Z",
  "state": "AL"
}
```

**Response**

```json
{
  "id": "id",
  "organizationId": "organizationId",
  "serviceTypeId": "serviceTypeId",
  "dateOfService": "2024-01-15T09:30:00Z",
  "status": "PENDING",
  "providers": [
    {
      "id": "id",
      "name": "name",
      "type": "MD",
      "npi": "npi",
      "externalId": "externalId",
      "providerEligibilityEnabled": true,
      "serviceEligibilityEnabled": true
    },
    {
      "id": "id",
      "name": "name",
      "type": "MD",
      "npi": "npi",
      "externalId": "externalId",
      "providerEligibilityEnabled": true,
      "serviceEligibilityEnabled": true
    }
  ],
  "policyIds": [
    "policyIds",
    "policyIds"
  ],
  "state": "AL",
  "_token": "_token",
  "validatedAt": "2024-01-15T09:30:00Z",
  "patientResponsibility": {
    "total": 1,
    "fallback": 1,
    "deductible": 1,
    "coinsurance": 1,
    "coinsurancePercent": 1.1,
    "copayment": 1,
    "oopFallback": 1,
    "oopCopayment": 1,
    "oopCoinsurance": 1,
    "oopDeductible": 1,
    "deductibleType": "INDIVIDUAL"
  },
  "messages": [
    "messages",
    "messages"
  ],
  "clinicalInfo": {
    "diagnoses": [
      "diagnoses",
      "diagnoses"
    ]
  },
  "conditionalPatientResponsibilities": [
    {
      "conditions": [
        {
          "diagnoses": [
            "diagnoses",
            "diagnoses"
          ]
        },
        {
          "diagnoses": [
            "diagnoses",
            "diagnoses"
          ]
        }
      ],
      "limit": {
        "type": "UNKNOWN",
        "value": 1,
        "metric": "VISIT",
        "period": "ANNUAL",
        "units": {
          "minutes": 1,
          "min": 1,
          "max": 1
        }
      },
      "patientResponsibility": {
        "total": 1,
        "fallback": 1,
        "deductible": 1,
        "coinsurance": 1,
        "coinsurancePercent": 1.1,
        "copayment": 1,
        "oopFallback": 1,
        "oopCopayment": 1,
        "oopCoinsurance": 1,
        "oopDeductible": 1,
        "deductibleType": "INDIVIDUAL"
      }
    },
    {
      "conditions": [
        {
          "diagnoses": [
            "diagnoses",
            "diagnoses"
          ]
        },
        {
          "diagnoses": [
            "diagnoses",
            "diagnoses"
          ]
        }
      ],
      "limit": {
        "type": "UNKNOWN",
        "value": 1,
        "metric": "VISIT",
        "period": "ANNUAL",
        "units": {
          "minutes": 1,
          "min": 1,
          "max": 1
        }
      },
      "patientResponsibility": {
        "total": 1,
        "fallback": 1,
        "deductible": 1,
        "coinsurance": 1,
        "coinsurancePercent": 1.1,
        "copayment": 1,
        "oopFallback": 1,
        "oopCopayment": 1,
        "oopCoinsurance": 1,
        "oopDeductible": 1,
        "deductibleType": "INDIVIDUAL"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://app.usebridge.com/api/service-eligibility/v2"

payload = {
    "serviceTypeId": "serviceTypeId",
    "dateOfService": "2024-01-15T09:30:00Z",
    "state": "AL"
}
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.usebridge.com/api/service-eligibility/v2';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"serviceTypeId":"serviceTypeId","dateOfService":"2024-01-15T09:30:00Z","state":"AL"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.usebridge.com/api/service-eligibility/v2"

	payload := strings.NewReader("{\n  \"serviceTypeId\": \"serviceTypeId\",\n  \"dateOfService\": \"2024-01-15T09:30:00Z\",\n  \"state\": \"AL\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.usebridge.com/api/service-eligibility/v2")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"serviceTypeId\": \"serviceTypeId\",\n  \"dateOfService\": \"2024-01-15T09:30:00Z\",\n  \"state\": \"AL\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.usebridge.com/api/service-eligibility/v2")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"serviceTypeId\": \"serviceTypeId\",\n  \"dateOfService\": \"2024-01-15T09:30:00Z\",\n  \"state\": \"AL\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.usebridge.com/api/service-eligibility/v2', [
  'body' => '{
  "serviceTypeId": "serviceTypeId",
  "dateOfService": "2024-01-15T09:30:00Z",
  "state": "AL"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.usebridge.com/api/service-eligibility/v2");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"serviceTypeId\": \"serviceTypeId\",\n  \"dateOfService\": \"2024-01-15T09:30:00Z\",\n  \"state\": \"AL\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "serviceTypeId": "serviceTypeId",
  "dateOfService": "2024-01-15T09:30:00Z",
  "state": "AL"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.usebridge.com/api/service-eligibility/v2")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```